"False" checkbox image broken 
Status: Rejected   

Priority: Normal   

Assignee: Josh Baird   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The false/red "x" image that is displayed when there is an error with a report seems to be broken sometimes.  It looks like something

is appending a random ID to the end of the image filename:

<img alt="False" height="18" src="/images/false.png?*1258747171*" width="18" /><a href="/hosts/8/report">9 minutes</a>

This results in a 304:

[23/Nov/2009:22:07:54 0600] "GET /images/false.png?1258747171 HTTP/1.1" 304 - "" "Mozilla/5.0 (Windows; U; Windows NT 5.1;

en-US; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 (.NET CLR 3.5.30729)"

However, if I replace those numbers with something else random, the image works correctly.  So, it must be something specific to the

number that is being generated?

History

#1 - 11/24/2009 06:26 AM - Ohad Levy

- Status changed from New to Feedback

- Assignee set to Josh Baird

the number after the image (e.g. png?1258747171) instruct your browser to use a cached image instead of fetching it again from foreman.

this sounds like a "problem" with your browser (session/cache etc).

can you start with a fresh browser session and see if it happens again?

#2 - 12/04/2009 02:15 PM - Ohad Levy

any feedback on this one? if not, I"ll reject it.

Thanks

#3 - 12/04/2009 02:50 PM - Josh Baird

It was indeed a browser issue.  Reject it!

#4 - 12/05/2009 11:07 AM - Ohad Levy

- Status changed from Feedback to Rejected
